# Get order tracking details

Order tracking details and status from shipping carriers when available. Use customer and order identifiers to locate associated records, including tracking numbers, order fulfillment and carrier status, and shipping information.    highly scalable alternative: event driven tracking webhook

Endpoint: POST /api/Tracking/GetDetails
Version: 3.1.3

## Request fields (application/json):

  - `AuthenticationDetails` (object, required)
    Credentials are required for all API operations.

  - `AuthenticationDetails.UserKey` (string, required)
    Example: "C445598CB576468EA35FBB22C55584EF"

  - `AuthenticationDetails.Password` (string, required)
    Example: "AF63FDAC1E704DC1AC9460F669ABF107"

  - `AuthenticationDetails.CustomerNo` (string, required)
    Example: "10703"

  - `OrderNo` (string, required)
    Customer order reference number

## Response 200 fields (application/json):

  - `OrderNumber` (string)
    Example: "08312026-FO-9808"

  - `Carrier` (string)
    Carrier Code used to ship the order
    Example: "FEX"

  - `Service` (string)
    Code of the carrier service level used to ship the order
    Example: "GRND"

  - `TrackingNo` (string)
    Tracking number for the package
    Example: "934076697393"

  - `TrackingURL` (string)
    hyperlink for carrier package tracking (when available from the carrier)
    Example: "https://www.fedex.com/apps/fedextrack/?tracknumbers=934076697393"

  - `RequestedShipDate` (string)
    The requested shipping date specified upon order creation in Wineshipping system and updated dynamically based on the order processing status.
    Example: "8/18/2025"

  - `ShipDate` (string)
    Requested ship date submitted with the sales order until which time the package(s) is processed for shipment and receives a shipment confirmation date (actual ship date)
    Example: "8/18/2025"

  - `Type` (string)
    Order type - Club, Daily, or other as applicable
    Example: "CLUB"

  - `IcePack` (integer)
    does the packages contain ice pack(s)

  - `Status` (string)
    See order [fulfillment status codes](../../../../docs/codes/fulfillmentstatuscodes) for possible values.

  - `StatusDescription` (string)
    See prder [fulfillment status descriptions](../../../../docs/codes/fulfillmentstatuscodes) for possible values.
    Example: "Package delivered to the receiver"

  - `Site` (string)

  - `Warehouse` (string)
    See [warehouse locations](../../../../docs/codes/warehouselocations) for possible values.
    Enum: "APC01", "APC02", "COB01", "COB02", "ETC01", "MMC01", "PRB02", "PRB04", "SJU01", "TWL01", "VCX01", "WOX01"

  - `CarrierStatus` (string)
    Current carrier status code
    Example: "D"

  - `CarrierStatusMessage` (string)
    Status message directly from the carrier

  - `CarrierStatusTimestamp` (string)

  - `PackageLocation` (string)
    Example: "Delivered"

  - `EstimatedDeliveryDate` (string)
    Upon Sales Order processing, this is the Estimated Delivery Date for the Sales Order based on the Requested Shipping Date submitted, and it will update within 4 hours of any changes made to the Sales Order’s Requested Shipping Date. Upon origin scan for each package, this date will be representative of the carrier’s published estimate. Support is presently for FEX and UPS carriers.

  - `GrossWeight` (string)
    Gross weight in lbs
    Example: "22.6"

  - `ShipToName` (string)
    Ship to name or company name
    Example: "Jane Doe"

  - `ShipToContact` (string)
    Ship to contact person name

  - `ShipToAddress` (string)
    Primary address where the package is shipped
    Example: "3010 Main Street"

  - `ShipToAddress2` (string)
    Second address line where the package is shipped

  - `ShipToCity` (string)
    Example: "Folsom"

  - `ShipToState` (string)
    Example: "CA"

  - `ShipToZipCode` (string)
    Example: "95630"

  - `ShipToCountry` (string)
    Example: "USA"

  - `PackageItems` (array)

  - `PackageItems.ItemNo` (string)
    Example: "1000000001"

  - `PackageItems.Quantity` (string)
    Example: "6.00"

  - `PackageItems.ReservedQuantity` (string)
    Example: "6.00"

  - `PackageItems.ItemDescription` (string)
    Example: "2018 CAB FRANC NV"


## Response 400 fields

## Response 401 fields

## Response 429 fields

## Response 500 fields
